Subject: Re: git new features: following and priority branches with new git flow

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Mon, 15 Dec 2025 16:13:56 +0100

On Mon, Dec 15, 2025, at 11:15, Milos Markovic wrote:
> Dear all,
>
> After decades of using git (as dev, as manager and as a cto), and
> considering different git flows I noticed some gaps.
>
> Briefly, different git flows perceive branches equally and shape
> history from developers perspective. I realized that if the
> perspective is written from a devops perspective ( focusing on higher
> priority branches, like prod first , than qa, and with least focus on
> dev) the source history could be organized differently ( from my
> perspective a bit better). We used the following approach for a couple
> of years.
>
> Therefore I invite you to check the following workflow here
> https://github.com/k4hvd1/rebaser-flow .
>
> It would be my pleasure to discuss new features in git and how this
> approach could be used. Finally if it makes sense for you I will show
> you other materials and we could think about implementing it in git .
>
> Regards
> Milos

Those `gitscript.sh` should be shell functions. They will not work
unless your default shell is Bash.

E.g.

    git config --global alias.pld  '![[ $(git rev-parse --abbrev-ref HEAD) == "dev" ]] && git fetch --all &&  git rebase origin/dev && git rebase origin/qa && git rebase origin/production'